## org.eclipse.wst.validation
Enum MessageSeveritySetting.Severity

    java.lang.Object
      java.lang.Enum<MessageSeveritySetting.Severity>
          org.eclipse.wst.validation.MessageSeveritySetting.Severity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessageSeveritySetting.Severity>

Enclosing class:
  MessageSeveritySetting

    public static enum MessageSeveritySetting.Severity

extends java.lang.Enum<MessageSeveritySetting.Severity>

Enum Constant Summary
`Error`
`Ignore`
`Warning`

Method Summary
`int` `getMarkerSeverity()` Answer the associated IMarker severity.
`java.lang.String` `toString()`
`static MessageSeveritySetting.Severity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessageSeveritySetting.Severity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Error

    public static final MessageSeveritySetting.Severity Error

### Warning

    public static final MessageSeveritySetting.Severity Warning

### Ignore

    public static final MessageSeveritySetting.Severity Ignore

Method Detail

### values

    public static MessageSeveritySetting.Severity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MessageSeveritySetting.Severity c : MessageSeveritySetting.Severity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MessageSeveritySetting.Severity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<MessageSeveritySetting.Severity>`

### getMarkerSeverity

    public int getMarkerSeverity()

  Answer the associated IMarker severity.